import service from '@/http/request';

const MqttTopicApi = {
    query: '/mqtt/query',
    list: '/thaw/list'
};

// 定义响应数据的接口
interface ResponseData {
    code: number;
    data: any; // 根据实际情况替换为具体的数据类型
}

export function querylist(): Promise<ResponseData> {
    return service({
        url: MqttTopicApi.query,
        method: 'get'
    });
}

export function listData(): Promise<ResponseData> {
    return service({
        url: MqttTopicApi.list,
        method: 'get'
    });
}
